-- 德州衣柜相关配置



-- valueTime 为当前时间，格式为YYYYMMDD，判断是否显示德州衣柜入口
local function IsShowTexasClosetEntrance(valueTime)
	-- if tonumber(valueTime) > 20210221 then
		return 1
	-- end
	
	-- return 0
end




-- 德州衣柜数据列表
-- 目前默认的也要配置进来。
--MinAniSection: 物品图片，在衣柜里面显示的图片
--PreviewAniSection: 预览图片。德州衣柜桌椅有配这个，则使用预览图片看效果，否则使用模型看效果
--PreviewBgAniSection: 预览背景图
--SkinDesc:皮肤描述
--IsDefaultSkin:是否默认皮肤
--IsNewSkin: 是否新皮肤
--CardAni:牌背ANI资源
--IsDefault:是否是默认
--解锁方式和解锁花费配置在ini/hairface_storage_type.dat
local Texas_Closet_List = {
	-- 德州衣柜桌椅
	[2] = {
		Count=3,
		--第一套皮肤（桌子都变红色，测试）
		[1] = { 
			["IsDefaultSkin"]=1, --默认皮肤
			["MinAniSection"]="Sqyigui_ZhuoyiPic", --物品图片
			["PreviewAniSection"]="", --预览前景图，桌椅可以不用配
			["PreviewBgAniSection"]="Sqyigui_ZszhuoPic", --预览底图，不能为空
			["SkinDesc"]="STR_TEXAS_CLOSET_DESC1", 	--皮肤描述
			[900] = 900,--桌子模型对应的新皮肤, TableLook 索引到npc.ini.不带方向位. 没配置则不更换
			[3860] = 3860,--桌子模型对应的新皮肤, TableLook 索引到npc.ini.不带方向位
			[901]=901,--椅子桌子模型对应的新皮肤，椅子NpcType id,索引到npc.ini
			[4681]=4681,
			[904]=904,
			[349]=349,
			[4682]=4682,
			[4921]=4921,
			[4924]=4924,
			[878]=878,
			[879]=879,
			[183]=183,
			},
		--第二套皮肤（桌子都变绿色，测试）
		[2] = {
			["MinAniSection"]="Sqyigui_Zhuoyi2Pic", 
			["PreviewAniSection"]="", --预览前景图，桌椅可以不用配
			["PreviewBgAniSection"]="Sqyigui_Zszhuo2Pic",  --预览底图，不能为空
			["SkinDesc"]="STR_TEXAS_CLOSET_DESC2",
			[900] = 4912,--红色桌子
			[3860] = 4914,--绿色桌子
			[901]=4913,--椅子
			[4681]=4912,
			[904]=4912,
			[349]=4914,
			[4682]=4914,
			[4921]=4914,
			[4924]=4914,
			[878]=881,
			[879]=882,
			[183]=184,
			},
		--第三套皮肤
		[3] = { 
			["MinAniSection"]="Sqyigui_Zhuoyi3Pic", --物品图片
			["PreviewAniSection"]="", --预览前景图，桌椅可以不用配
			["PreviewBgAniSection"]="Sqyigui_Zszhuo3Pic", --预览底图，不能为空
			["SkinDesc"]="STR_TEXAS_CLOSET_DESC2", 	--皮肤描述
			["IsNewSkin"]=1, --是新皮肤
			[900] = 1164,
			[3860] = 1166,
			[901]=1165,
			[4681]=1164,
			[904]=1164,
			[349]=1166,
			[4682]=1166,
			[4921]=1166,
			[4924]=1166,
			[878]=1167,
			[879]=1168,
			[183]=1169,
			},
		},
	-- 德州衣柜牌背
	[3] = {
		Count=3,
		--第一套皮肤
		[1] = { 
			["IsDefaultSkin"]=1, --默认皮肤
			CardAni="NewSqu_BackMPic",--牌背ANI资源
			["MinAniSection"]="Sqyigui_SqjpaibPic", --物品图片
			["PreviewAniSection"]="Sqyigui_Sqjpaib1Pic", --预览前景图，配置牌背的
			["PreviewBgAniSection"]="Sqyigui_Zszhuo2Pic",  --预览底图，不能为空
			["SkinDesc"]="STR_TEXAS_CLOSET_DESC3",--皮肤描述
			},
		
		--第二套皮肤
		[2] = { 
			["MinAniSection"]="Sqyigui_SqxpaibPic", --物品图片
			["PreviewAniSection"]="Sqyigui_Sqxpaib1Pic", --预览前景图，配置牌背的
			["PreviewBgAniSection"]="Sqyigui_Zszhuo2Pic",  --预览底图，不能为空
			CardAni="NewSqu_BackM1Pic", --牌背ANI资源
			["SkinDesc"]="STR_TEXAS_CLOSET_DESC4",--皮肤描述
			},
		
		--第三套皮肤
		[3] = { 
			CardAni="NewSqu_BackM2Pic",--牌背ANI资源
			["MinAniSection"]="Sqyigui_Sqxpaib3Pic", --物品图片
			["PreviewAniSection"]="Sqyigui_Sqpei3Pic", --预览前景图，配置牌背的
			["PreviewBgAniSection"]="Sqyigui_Zszhuo3Pic",  --预览底图，不能为空
			["SkinDesc"]="STR_TEXAS_CLOSET_DESC4",--皮肤描述
			["IsNewSkin"]=1, --是新皮肤
			},
		},

	-- 德州衣柜下注
	[4] = {
		Count=3,
		--第一套皮肤
		[1] = { 
			["IsDefaultSkin"]=1, --默认皮肤
			["MinAniSection"]="Sqyigui_Sqxiazhu1Pic",--物品图片
			["PreviewAniSection"]="", --预览前景图，下注不用配
			["PreviewBgAniSection"]="Sqyigui_Sqyulan1Pic",  --预览底图，不能为空
			["SkinDesc"]="STR_TEXAS_CLOSET_DESC5",--皮肤描述
			},

		--第二套皮肤
		[2] = { 
			["MinAniSection"]="Sqyigui_Sqxiazhu2Pic", --物品图片
			["PreviewAniSection"]="", --预览前景图，下注不用配
			["PreviewBgAniSection"]="Sqyigui_Sqyulan2Pic",  --预览底图，不能为空
			-- ["IsNewSkin"]=1,  --是新皮肤
			["SkinDesc"]="STR_TEXAS_CLOSET_DESC6",
			
			},

		--第三套皮肤
		[3] = { 
			["MinAniSection"]="Sqyigui_Sqxiazhu3Pic",--物品图片
			["PreviewAniSection"]="", --预览前景图，下注不用配
			["PreviewBgAniSection"]="Sqyigui_Sqyulan3Pic",  --预览底图，不能为空
			["IsNewSkin"]=1,  --是新皮肤
			["SkinDesc"]="STR_TEXAS_CLOSET_DESC9",--皮肤描述
			},
		},
	-- 德州地图
	[6] = {
		Count=2,
		--第一套皮肤
		[1] = {
			["IsDefaultSkin"]=1, --默认皮肤
			["MinAniSection"]="Sqyigui_Sqmini1Pic",--物品图片
			["PreviewAniSection"]="", --预览前景图，下注不用配
			["PreviewBgAniSection"]="Sqyigui_Ylmini1Pic",  --预览底图，不能为空
			["SkinDesc"]="STR_TEXAS_CLOSET_DESC7",--皮肤描述
		},

		--第二套皮肤
		[2] = {
			["MinAniSection"]="Sqyigui_Sqmini2Pic", --物品图片
			["PreviewAniSection"]="", --预览前景图，下注不用配
			["PreviewBgAniSection"]="Sqyigui_Ylmini2Pic",  --预览底图，不能为空
			["IsNewSkin"]=1,  --是新皮肤
			["SkinDesc"]="STR_TEXAS_CLOSET_DESC8",
			
		},
	},
	-- 德州荷官
	[7] = {
		Count=2,
		--第一套皮肤
		[1] = {
			["ShowRedTime"]=20220627235959, --红点显示截止时间
			["IsDefaultSkin"]=1, --默认皮肤
			["MinAniSection"]="Sqyigui_Hegyl2Pic",--物品图片
			["PreviewAniSection"]="", --预览前景图，下注不用配
			["PreviewBgAniSection"]="Sqyigui_Heg2Pic",  --预览底图，不能为空
			["SkinDesc"]="STR_TEXAS_CLOSET_DESC5",--皮肤描述
			["SysdealerLook"]=707,	--系统发牌员   
			["ModalPosX"]=570,		--坐标x  如果改位置GUI.ini中[2827-3785]模型响应区旋转的看看是否要对应调整
			["ModalPosY"]=350,		--坐标y
			["ModalHeight"]=100,	--模型高
			["ModalScale"]=1.3,		--模型缩放大小
                        ["RoleMotion"]=9992810191,     --荷官发牌动作
                        ["RoleMotion1"]=9992810191,     --荷官打赏动作
                        ["RoleMotion2"]=9992810191,     --荷官分红动作
						
			},

		--第二套皮肤
		[2] = {
			["ShowRedTime"]=20220627235959, --红点显示截止时间
			["MinAniSection"]="Sqyigui_Hegyl1Pic", --物品图片
			["PreviewAniSection"]="", --预览前景图，下注不用配
			["PreviewBgAniSection"]="Sqyigui_Heg1Pic",  --预览底图，不能为空
			["IsNewSkin"]=1,  --是新皮肤
			["SkinDesc"]="STR_TEXAS_CLOSET_DESC6",
			["SysdealerLook"]=186,  --系统发牌员
			["ModalPosX"]=570,		--坐标x
			["ModalPosY"]=350,		--坐标y
			["ModalHeight"]=100,	--模型高
			["ModalScale"]=1.3,		--模型缩放大小
			["RoleMotion"]=9992840191,     --荷官发牌动作
			["RoleMotion1"]=9992840191,     --荷官打赏动作
			["RoleMotion2"]=9992840191,     --荷官分红动作
		},
	},
	-- 地毯
	[8] = {
		Count=2,
		--第一套皮肤
		[1] = {
			["ShowRedTime"]=20220623235959, --红点显示截止时间
			["IsDefaultSkin"]=1, --默认皮肤
			["MinAniSection"]="Sqyigui_Ditan2Pic",--物品图片
			["PreviewAniSection"]="", --预览前景图，下注不用配
			["PreviewBgAniSection"]="Sqyigui_Ditanyl2Pic",  --预览底图，不能为空
			["SkinDesc"]="STR_TEXAS_CLOSET_DESC7",--皮肤描述
			["TableBG"]="Squeezer_JuniorBackBG",
		},

		--第二套皮肤
		[2] = {
			["ShowRedTime"]=20220723235959, --红点显示截止时间
			["MinAniSection"]="Sqyigui_Ditan1Pic", --物品图片
			["PreviewAniSection"]="", --预览前景图，下注不用配
			["PreviewBgAniSection"]="Sqyigui_Ditanyl1Pic",  --预览底图，不能为空
			["IsNewSkin"]=1,  --是新皮肤
			["SkinDesc"]="STR_TEXAS_CLOSET_DESC8",
			["TableBG"]="Squeezer_JuniorBack2BG",
		},
	},
}



-- 取得指定衣柜类型物品数量
--nType:德州衣柜类型。2:桌椅 3:牌背 4：下注
local function GetClosetInfoCount(nType)
	return Texas_Closet_List[nType].Count
end




-- 取得指定类型和皮肤id下ke信息
--nType:德州衣柜类型。2:桌椅 3:牌背 4：下注
--nSkinId:皮肤id
--key:获取信息的key
local function GetSkinInfo(nType, nSkinId, key)
	return Texas_Closet_List[nType][nSkinId][key]
end



-- 取得指定类型和皮肤id下look对于的新look
--nType:德州衣柜类型。2:桌椅 3:牌背 4：下注
--nSkinId:皮肤id
--look:桌子或椅子look
local function GetSkinTransformData(nType, nSkinId, look)
	local realLook = math.modf(look / 10)
	local newLook = Texas_Closet_List[nType][nSkinId][realLook]
	if newLook ~= nil and newLook > 0 then--保留原来方向
		return (newLook*10 + look%10)
	else
		return 0
	end
end

-- 取得下注界面/牌背指定皮肤的AniSection
--nType:德州衣柜类型。 3:牌背 4：下注
--nSkinId:皮肤资源皮肤id
--strAni:旧的Ani（上一次的Ani）
--strAni包括不限于	
-- 玩法"Squeezer_PlayWayBtn"
-- 结果"BtnSHStat"
-- 托管"NewSqu_TrustBtn"
-- 离开"Squeezer_LeaveBtn"
-- 观战"NewSqu_ViewBtn"
-- 邀请"NewSqu_ViewBtn"
-- 押注"BtnSHBet"
-- 跟进"BtnSHCall"
-- 弃牌/不跟"BtnSHFold"
-- 让牌"BtnSHBridgeWard"
-- 加注"BtnSHRaise"
-- 全押"BtnSHAllin"
-- 显示"Squeezer_ShowBtn"
-- 隐藏"Squeezer_HideBtn"
-- 取消托管"NewSqu_CancelTrustBtn"
-- 余额背景/无限注下注额输入框背景"PicSHNoletterShort"
-- 有限注赌桌输入框背景"PicSHNoletter"
-- 下注对话框背景图"BGSHChip2"
-- 滑块背景图"PicSHDrag"

-- 玩法2"Big_PlayWay2Btn"
-- 结果2"Big_Stat2Btn"
-- 托管2"NewSqu_Trust2Btn"
-- 离开2"Big_Leave2Btn"
-- 观战2"NewSqu_ViewBtn"
-- 邀请2"NewSqu_ViewBtn"
-- 押注2"Big_Bet2Btn"
-- 跟进2"Big_Call2Btn"
-- 弃牌2/不跟2"Big_Fold2Btn"
-- 让牌2"Big_BridgeWard2Btn"
-- 加注2"Big_Raise2Btn"
-- 全押2"Big_Allin2Btn"
-- 显示2"Big_Show2Btn"
-- 隐藏2"Big_Hide2Btn"
-- 取消托管2"NewSqu_CancelTrust2Btn"
-- 余额背景/无限下注额输入框背景2"PicSHNoletterShort"
-- 有限注赌桌输入框背景2"PicSHNoletter"
-- 下注对话框背景图2"BGSHChip2"
-- 滑块背景图2"PicSHDrag"

-- 玩法3"Big_PlayWay3Btn"
-- 结果3"Big_Stat3Btn"
-- 托管3"Big_Auto3Btn"
-- 离开3"Big_Leave3Btn"
-- 观战3"Big_Watch3Btn"
-- 邀请3"Big_Watch3Btn"
-- 押注3"Big_Bet3Btn"
-- 跟进3"Big_Call3Btn"
-- 弃牌3/不跟2"Big_Fold3Btn"
-- 让牌3"Big_Check3Btn"
-- 加注3"Big_Raise3Btn"
-- 全押3"Big_Allin3Btn"
-- 显示3"Big_Show2Btn"--缺资源，复用第2套
-- 隐藏3"Big_Hide3Btn"
-- 取消托管3"NewSqu_CancelTrust2Btn"--缺资源，复用第2套
-- 余额背景/无限下注额输入框背景3"Big_YuanBG"
-- 有限注赌桌输入框背景3"PicSHNoletter"
-- 下注对话框背景图3"Big_Chip4BG"
-- 滑块背景图3"PicSHDrag"

local tSkinTransformString = {}
	tSkinTransformString[1] = {"Squeezer_PlayWayBtn","Big_PlayWay2Btn","Big_PlayWay3Btn"}
	tSkinTransformString[2] = {"BtnSHStat","Big_Stat2Btn","Big_Stat3Btn"}
	tSkinTransformString[3] = {"NewSqu_TrustBtn","NewSqu_Trust2Btn","Big_Auto3Btn"}
	tSkinTransformString[4] = {"Squeezer_LeaveBtn","Big_Leave2Btn","Big_Leave3Btn"}
	tSkinTransformString[5] = {"NewSqu_ViewBtn","Big_Watch2Btn","Big_Watch3Btn"}
	tSkinTransformString[6] = {"Squeezer_YinviteBtn","Squeezer_Yinvite2Btn","Squeezer_Yinvite3Btn"}
	tSkinTransformString[7] = {"BtnSHBet","Big_Bet2Btn","Big_Bet3Btn"}
	tSkinTransformString[8] = {"BtnSHCall","Big_Call2Btn","Big_Call3Btn"}
	tSkinTransformString[9] = {"BtnSHFold","Big_Fold2Btn","Big_Fold3Btn"}
	tSkinTransformString[10] = {"BtnSHBridgeWard","Big_BridgeWard2Btn","Big_Check3Btn"}
	tSkinTransformString[11] = {"BtnSHRaise","Big_Raise2Btn","Big_Raise3Btn"}
	tSkinTransformString[12] = {"BtnSHAllin","Big_Allin2Btn","Big_Allin3Btn"}
	tSkinTransformString[13] = {"Squeezer_ShowBtn","Big_Show2Btn","Big_Show3Btn"}--缺第3套资源，先复用第2套资源，对应按钮Show，补好资源后请把第3个title更换一下
	tSkinTransformString[14] = {"Squeezer_HideBtn","Big_Hide2Btn","Big_Hide3Btn"}
	tSkinTransformString[15] = {"NewSqu_CancelTrustBtn","NewSqu_CancelTrust2Btn","Big_CancelTrust3Btn"}--缺第3套资源，先复用第2套资源，对应按钮Manual，补好资源后请把第3个title更换一下
	tSkinTransformString[16] = {"PicSHNoletterShort","PicSHNoletterShort","Big_YuanBG"}
	tSkinTransformString[17] = {"PicSHNoletter","PicSHNoletter","PicSHNoletter"}
	tSkinTransformString[18] = {"BGSHChip2","BGSHChip2","Big_Chip4BG"}
	tSkinTransformString[19] = {"PicSHDrag","PicSHDrag","Big_HuobiBG"}

-- 对于新皮肤ANI命名，建议在原有皮肤基础上增加后缀和数字，方便识别。比如Squeezer_LeaveBtn的skinId=2的资源，建议命名Squeezer_LeaveBtn_Skin2
--这样在比较名字的时候，能方便的判断出原有的名字，找到这个前缀就可以返回对应皮肤的新名字
local function GetSkinTransformString(nType, nSkinId, strAni)
	if nType == 3 then--牌背
		return Texas_Closet_List[nType][nSkinId].CardAni
	elseif nType == 4 then--下注
		for k,v in pairs(tSkinTransformString) do
			for m,n in pairs(v) do
				if strAni == n then
					if v[nSkinId] ~= nil then
						return v[nSkinId]
					else
						return strAni
					end
				end
			end
		end
	end
	return strAni
end



-- 德州衣柜界面图片
local Texas_Closet_Img = {
	-- 锁。缺资源
	["ImgLocking"] = "Jabali_GodLockPic",

	-- 装备中。缺资源
	["ImgEquiping"] = "Sqyigui_EquippedPic",

	-- 预览按钮
	["BtnPreview"] = "Sqyigui_PreviewBtn",

	-- 卸下预览按钮。缺资源
	["BtnUnPreview"] = "Sqyigui_yulanxiajiaBtn",

	-- 装备按钮
	["BtnEquip"] = "Sqyigui_EquipBtn",

	-- 卸下装备按钮
	["BtnUnEquip"] = "Sqyigui_UnequipBtn",

	-- 解锁按钮
	["BtnUnlock"] = "Sqyigui_UnlockedBtn",

	-- 选中按钮
	["BtnSelect"] = "Sqyigui_SqxuanPic",
}

-- 取得德州衣柜图片ANI
--nType:德州衣柜类型。2:桌椅 3:牌背 4：下注
--Key: 关键字
local function GetClosetUiImg(nType, key)
	local keyValue = Texas_Closet_Img[key]

	if (keyValue) then
		return keyValue
	end

	return ""
end
 
---新增
-- 根据原有地图获取德州地图的换肤地图id
local Texas_Map = {
	[3053] = {
		[1] = 3053,
		[2] = 10741,
	},
	[4027] = {
		[1] = 4027,
		[2] = 11591,
	},
	[4028] = {
		[1] = 4028,
		[2] = 11592,
	},
	[4029] = {
		[1] = 4029,
		[2] = 11593,
	},
	[4030] = {
		[1] = 4030,
		[2] = 11594,
	},
	[4032] = {
		[1] = 4032,
		[2] = 11595,
	},
	[4038] = {
		[1] = 4038,
		[2] = 11596,
	},
	[4039] = {
		[1] = 4039,
		[2] = 11597,
	},
	[4040] = {
		[1] = 4040,
		[2] = 11598,
	},
	[4034] = {
		[1] = 4034,
		[2] = 11599,
	},
	[4033] = {
		[1] = 4033,
		[2] = 11600,
	},
}

--获取换肤地图id
local function GetTexasMapId(idMap, idMapDoc, index)
	-- idMapDoc存在的情况下才做替换，防止切换其他地图时候idMapDoc已经切换，idMap还没切换时候查找
	if idMap == idMapDoc then
		if Texas_Map[idMap] ~= nil and Texas_Map[idMap][index] ~= nil then
			return Texas_Map[idMap][index]
		end
	else
		if Texas_Map[idMapDoc] ~= nil then
			for i=1,2,1 do
				if Texas_Map[idMapDoc][i] == idMapDoc then
					return Texas_Map[idMapDoc][index]
				end
			end
		end

		-- idMapDoc得是配置里面的值才表示不是切了其他地图
		if Texas_Map[idMap] ~= nil then
			for i=1,2,1 do
				if Texas_Map[idMap][i] == idMapDoc then
					return Texas_Map[idMap][index]
				end
			end
		end
	end
	return 0
end

local T_BetLayout = {
	--等号左边是控件的id或对话框的id
	--等号右边的字符串含义为："在Gui的基础上往x方向移多少像素,在GUI的基础上往y方向移多少像素,在gui的基础上宽度拉大或减少多少像素,在gui的基础上高度拉大或减少多少像素"
	["429"] = "-67,-56,67,46",
	--Guide
	["2776"] = "54,5,8,8",
	--Stat
        ["2517"] = "54,19,8,8",
	--Watch
	["2518"] = "54,13,8,8",
	--Auto
	["2519"] = "54,21,8,8",
	--Leave
	["2516"] = "54,29,8,8",
	--余额背景图
	["2537"] = "23,10,0,0",
	--余额货币图标
	["2538"] = "23,12,0,0",
	--余额程序数字
	["2539"] = "23,12,0,0",
	--Hide
	["2777"] = "20,4,0,0",
        --邀请
	["6378"] = "40,4,0,0",
	--Show
	["2778"] = "20,4,0,0",
	--Raise
	["2524"] = "3,18,8,8",
	--Bet
	["2520"] = "3,18,8,8",
	--All-in
	["2525"] = "19,18,8,8",
	--Call
	["2521"] = "33,18,8,8",
	--Check
	["2523"] = "33,18,8,8",
	--Fold
	["2522"] = "47,18,8,8",
	--Bet/Raise图片文字
	["2536"] = "0,39,0,0",
	--下注输入框背景图
	["2540"] = "0,36,18,0",
	--下注输入框（程序字）
	["2533"] = "0,35,0,0",
	--下注输入框字号
	["ChipsEdit"] = "18",
	--滑块背景
	["2535"] = "36,30,18,10",
	--滑块
	["2532"] = "36,37,0,0",
	--手牌(x,y,spacingAdd,scale),注意这个比较特殊，等号右边逗号隔开的第3个参数是两张手牌间隔在showhandlayout基础上需要增加几个像素的x偏移，第4个数值是代表手牌缩放百分比
	["CardsHeld"] = "10,5,5,120",
}

local function GetLayout(nType, nSkinId, strkey)
	if nType == 4 and nSkinId == 3 then
		--nType为4表示下注衣柜
		--nSkinId为3对应下注衣柜第2页的第1套
		return T_BetLayout[strkey]
	end
	return ""
end

-- 清理变量释放内存
local function Unload()
	TexasCloset_IsShowTexasClosetEntrance = nil
	TexasCloset_GetSkinInfo = nil
	TexasCloset_GetSkinTransformData = nil
	TexasCloset_GetSkinTransformString = nil
	TexasCloset_GetClosetUiImg = nil
	TexasCloset_GetClosetInfoCount = nil
	TexasCloset_Unload = nil
	T_BetLayout = nil
end

-- 通过require传给其他Lua脚本使用
local TexasCloset = {
	IsShowTexasClosetEntrance = IsShowTexasClosetEntrance,
	GetSkinInfo = GetSkinInfo,
	GetSkinTransformData = GetSkinTransformData,
	GetSkinTransformString = GetSkinTransformString,
	GetClosetUiImg = GetClosetUiImg,
	GetClosetInfoCount = GetClosetInfoCount,
	GetTexasMapId = GetTexasMapId,
	GetLayout = GetLayout,
	Unload = Unload,
}

-- C++程序使用的global函数名
TexasCloset_IsShowTexasClosetEntrance = TexasCloset.IsShowTexasClosetEntrance
TexasCloset_GetSkinInfo = TexasCloset.GetSkinInfo
TexasCloset_GetSkinTransformData = TexasCloset.GetSkinTransformData
TexasCloset_GetSkinTransformString = TexasCloset.GetSkinTransformString
TexasCloset_GetClosetUiImg = TexasCloset.GetClosetUiImg
TexasCloset_GetClosetInfoCount = TexasCloset.GetClosetInfoCount
TexasCloset_GetTexasMapId = TexasCloset.GetTexasMapId
TexasCloset_GetLayout = TexasCloset.GetLayout
TexasCloset_Unload = TexasCloset.Unload

-- require返回值
return TexasCloset

